Bug 453725 - Xorg crashed with coredump
Xorg crashed with coredump
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 04:33 EDT by Zdenek Kabelac
Modified: 2009-12-04 12:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from XAA startup (20.92 KB, text/plain)
2008-07-04 06:09 EDT, Zdenek Kabelac
no flags Details

  None (edit)
Description Zdenek Kabelac 2008-07-02 04:33:59 EDT
Description of problem:

While trying to figure out why is my Xserver recently so slow,
the server has crashed while running Wine and moving glxgears together.
I'm using EXA acceleration.

Looks like double recursion fault...

#0  0x0000003181a32fa5 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003181a34b13 in abort () at abort.c:88
#2  0x00000000004f729d in FatalError ()
#3  0x000000000047a628 in xf86SigHandler ()
#4  <signal handler called>
#5  0x000000000425b6af in DRIUnlock () from
/usr/lib64/xorg/modules/extensions//libdri.so
#6  0x0000000003f26e1a in I830WaitLpRing (pScrn=0x1eb9710, n=131064,
timeout_millis=0) at i830_accel.c:140
#7  0x0000000003f27223 in I830Sync (pScrn=0x1eb9710) at i830_accel.c:204
#8  0x00000000018817c2 in ?? () from /usr/lib64/xorg/modules//libxaa.so
#9  0x00000000004610bd in AbortDDX ()
#10 0x00000000004f6bb8 in AbortServer ()
#11 0x00000000004f7285 in FatalError ()
#12 0x0000000003f26e51 in I830WaitLpRing (pScrn=0x1eb9710, n=131064,
timeout_millis=0) at i830_accel.c:150
#13 0x0000000003f27223 in I830Sync (pScrn=0x1eb9710) at i830_accel.c:204
#14 0x00000000018894eb in ?? () from /usr/lib64/xorg/modules//libxaa.so
#15 0x00000000018d4167 in ?? () from /usr/lib64/xorg/modules//libxaa.so
#16 0x0000000000531c80 in ?? ()
#17 0x0000000000443d56 in ProcPolySegment ()
#18 0x00000000004466d4 in Dispatch ()
#19 0x000000000042cbbd in main ()


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2008-07-02 04:38:19 EDT
Argh  sorry I'm wanted to write I'm using XAA for that test case....

So just to make it clear - this happens with "AccelMethod" "XAA"
Comment 2 Matěj Cepl 2008-07-02 12:55:04 EDT
Zdeňku, please, can I get /var/log/Xorg.*.log here as well (or some link to
where the current one is in our bugzilla)?
Comment 3 Zdenek Kabelac 2008-07-04 06:09:00 EDT
Created attachment 311027 [details]
Xorg log from XAA startup

This log is not the log from the crash time - that one has been lost - but it's
the log from the startup of my Xorg with XAA acceleration.
Comment 4 Bug Zapper 2008-11-25 21:29:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Vedran Miletić 2009-11-05 18:11:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2009-11-18 07:35:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vedran Miletić 2009-12-04 12:56:33 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.